diff --git a/org.wikimedia.rip/rip.php b/org.wikimedia.rip/rip.php
index 19753346..1e62d611 100644
--- a/org.wikimedia.rip/rip.php
+++ b/org.wikimedia.rip/rip.php
@@ -37,6 +37,10 @@ function rip_civicrm_enable() {
 function rip_civicrm_pre($op, $objectName, $id, &$params) {
   if ($objectName === 'Individual' && !empty($params['is_deceased'])) {
     $params['is_opt_out'] = 1;
+    $fields = ['do_not_email', 'do_not_phone', 'do_not_mail', 'do_not_sms', 'do_not_trade'];
+    foreach ($fields as $field) {
+      $params['privacy'][$field] = 1;
+    }
   }
 }
 
diff --git a/org.wikimedia.rip/sql/rip_install.sql b/org.wikimedia.rip/sql/rip_install.sql
index 0c675411..65689819 100644
--- a/org.wikimedia.rip/sql/rip_install.sql
+++ b/org.wikimedia.rip/sql/rip_install.sql
@@ -1 +1,8 @@
-UPDATE civicrm_contact SET is_opt_out = 1 WHERE is_deceased = 1;
+UPDATE civicrm_contact SET
+is_opt_out = 1,
+do_not_email = 1,
+do_not_phone = 1,
+do_not_mail = 1,
+do_not_sms = 1,
+do_not_trade = 1
+WHERE is_deceased = 1;
